Foxit PDF RDK

Public Member Functions | Static Public Attributes | List of all members
SecurityHandler Class Reference
Inheritance diagram for SecurityHandler:

## Public Member Functions
| constructor ()
| Constructor.
| GetSecurityType ()
| Get the encryption type of current security handler. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from NativeObjectWrapper
| constructor (r)
| GetPointerAsNumber ()

## Static Public Attributes
static | e_CipherAES
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
static | e_CipherNone
| Enumeration for Encryption Algorithm. More...
static | e_CipherRC4
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

Class SecurityHandler is the base class that represents a security hander used for encrypting PDF document. It has following derived classes:

- Class StdSecurityHandler is used for password encryption.
- Class CertificateSecurityHandler is used for certificate encryption.
- Class DRMSecurityHandler is used for DRM encryption.
- Class CustomSecurityHandler is used for custom encryption.
- Class RMSSecurityHandler is used for RMS encryption.

To set a security handler to a PDF document, please call function PDFDoc.SetSecurityHandler, then the security handler will take effect in later saving process. To get the security handler used for a PDF document, please call function PDFDoc.SetSecurityHandler.

See also
  StdSecurityHandler
  CertificateSecurityHandler
  DRMSecurityHandler
  CustomSecurityHandler
  RMSSecurityHandler
  PDFDoc

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Function Documentation

## ◆ GetSecurityType()

SecurityHandler.GetSecurityType | ( |  | ) |

Get the encryption type of current security handler.

Returns
  The encryption type. If current security handler object does not represent any specified type of security handler, it would return PDFDoc.e_EncryptUnknown.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## ◆ IsEmpty()

SecurityHandler.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.

## Member Data Documentation

## ◆ e_CipherNone

SecurityHandler.e_CipherNone
| static

Enumeration for Encryption Algorithm.

Values of this enumeration should be used alone.

Not use encryption algorithm.

Examples
  /Users/ec2-user/gitlab-runner/builds/E-xKdhDo/0/foxit/sdk/mobile/gsdk-doc-auto-build/harmony_nodejs/input/Index.js.